XmTextGetSelection(3Xm)

NAME
XmTextGetSelection — a Text function that retrieves the value of the primary selection.

SYNOPSIS
#include <Xm/Text.h>

char * XmTextGetSelection (widget)
    Widget    widget;

DESCRIPTION
XmTextGetSelection retrieves the value of the primary selection. It returns a NULL pointer if no text is selected in the widget. The application is responsible for freeing the storage associated with the string by calling XtFree.

widget
    Specifies the Text widget ID.

For a complete definition of Text and its associated resources, see XmText(3Xm).

RETURN VALUE
Returns a character pointer to the string that is associated with the primary selection.

RELATED INFORMATION
XmText(3Xm).